1. 23 Mar, 2022 4 commits
    • Nong Hoang Tu's avatar
      b1318e1e
    • Nong Hoang Tu's avatar
      Remove Debian's yml file · cbc15e0b
      Nong Hoang Tu authored
      cbc15e0b
    • Lorenzo "Palinuro" Faletra's avatar
      Import Debian changes 1.15.4+dfsg-2parrot1 · cec3c72c
      Lorenzo "Palinuro" Faletra authored and Nong Hoang Tu's avatar Nong Hoang Tu committed
      ruby-ffi (1.15.4+dfsg-2parrot1) parrot-updates; urgency=medium
      .
        * Import new Debian release.
      .
      ruby-ffi (1.15.4+dfsg-2) unstable; urgency=medium
      .
        * Team upload.
        * d/patches/keep-longdouble-adj-sizeof-long-double.patch: Add patch.
          - Backport ffi/ffi#919 to fix FTBFS on i386.
        * d/patches/series: Enable new patch.
      .
      ruby-ffi (1.15.4+dfsg-1) unstable; urgency=medium
      .
        * Team upload
      .
        [ Lucas Kanashiro ]
        * d/rules: remove platform_dir var definition, it is not used anymore
      .
        [ Debian Janitor ]
        * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
          Repository-Browse.
        * Apply multi-arch hints. + ruby-ffi: Add Multi-Arch: same.
      .
        [ Jenkins ]
        * Bump debhelper from old 12 to 13.
        * Update standards version to 4.5.1, no changes needed.
      .
        [ Cédric Boutillier ]
        * Watch tags instead of releases on Github
        * New upstream version 1.15.4+dfsg
        * Update packaging files with dh-make-ruby -w
        * Refresh remove-git-in-gemspec.patch
        * Add read-version.patch to read correctly version in gemspec file
        * Update team name
        * Add .gitattributes to keep unwanted files out of the source package
        * Use rake method to run tests
      .
      ruby-ffi (1.12.2+dfsg-2) unstable; urgency=medium
      .
        * Team upload
        * Upload to unstable
        * debian/tests/control: add missing test dependency
        * Drop dependency on the ruby interpreter
        * Drop explicit Testsuite: field
        * debian/tests/control: add a test name to the gem2deb-test-runner call
      .
      ruby-ffi (1.12.2+dfsg-1) experimental; urgency=medium
      .
        * New upstream version 1.12.2+dfsg
        * Fix package wrt cme
        * Update d/watch
      .
      ruby-ffi (1.11.3+dfsg-1) experimental; urgency=medium
      .
        * Team upload
      .
        [ Cédric Boutillier ]
        * Bump debhelper compatibility level to 9
        * Remove version in the gem2deb build-dependency
        * Use https:// in Vcs-* fields
        * Use https:// in Vcs-* fields
        * Bump Standards-Version to 3.9.7 (no changes needed)
        * Run wrap-and-sort on packaging files
      .
        [ Antonio Terceiro ]
        * Remove myself from Uploaders:
      .
        [ Utkarsh Gupta ]
        * Add salsa-ci.yml
      .
        [ Pirate Praveen ]
        * Use Files-Excluded with uscan to repack
        * Move debian/watch to gemwatch.debian.net
        * Bump Standards-Version to 4.4.1 (no changes needed)
        * Drop compat file, rely on debhelper-compat and bump compat level to 12
        * New upstream version 1.11.3+dfsg
        * Use salsa.debian.org in Vcs-* fields
        * Upload to experimental as ruby-rb-inotify, ruby-rbtrace, ruby-spoon and
          ruby-vips autopkgtests as well as ruby-dep-selector and ruby-vips rebuilds
      .
      ruby-ffi (1.9.10debian-1) unstable; urgency=medium
      .
        * Team upload.
        * Imported Upstream version 1.9.10
          * Drop upstream applied patches.
          * Refresh downstream-only patch.
        * ruby2.2 has been in unstable for a while, so target unstable.
        * Bump Standards-Version to 3.9.6.
      .
      ruby-ffi (1.9.6debian-3) experimental; urgency=medium
      .
        Team upload.
      .
        * Disable racy specs
        * Rebuild against ruby2.2, target experimental.
      .
      ruby-ffi (1.9.6debian-2) unstable; urgency=medium
      .
        [ Breno Leitao ]
        * debian/patches/ppc64el.patch: add support for the ppc64el architecture
          (Closes: #759550, #765092)
      .
      ruby-ffi (1.9.6debian-1) unstable; urgency=medium
      .
        * New upstream release
        * debian/patches/disable-rake-compiler.patch: refresh
        * debian/repack.sh: remove object files included in upstream source
        * debian/ruby-tests.rb: removed step to compile the test library since the
          upstream test suite will now do that for us
        * debian/rules: properly clean artifacts of the test library build
      .
      ruby-ffi (1.9.3debian-3) unstable; urgency=medium
      .
        * debian/tests/control: also run test suite with
          gem2deb-test-runner --autopkgtest
          - needed to add './' to spec file glob in debian/ruby-tests.rb
        * Add patch by Anurag Gupta <anurag@linux.vnet.ibm.com> from Ubuntu that
          fixes call to functions with float/double variadic arguments. This should
          fix ruby-ffi on ppc64el, _and_ be harmless for other architectures.
          (debian/patches/fix-for-variadic-float-double-values.diff)
      .
      ruby-ffi (1.9.3debian-2) unstable; urgency=medium
      .
        * Add configuration file for mips64el (Closes: #756594)
        * Add configuration file for arm64
      .
      ruby-ffi (1.9.3debian-1) unstable; urgency=medium
      .
        * New upstream release
        * Add instructions for porters in debian/README.porting
        * add a simple smoke test to debian/tests
        * debian/control: add `XS-Testsuite: autopkgtest`
      .
      ruby-ffi (1.9.0debian-1) unstable; urgency=low
      .
        * New upstream version
        * debian/control:
          + Remove Breaks/Replaces/Provides wrt transitional packages
          + bump Standards-Version to 3.9.4; no changes needed
        * debian/patches/disable-rake-compiler.patch: refreshed
        * debian/rules: drop temporary fix for #679782. Proper fix is included in
          this upstream version.
      .
      ruby-ffi (1.8.1debian-1) unstable; urgency=low
      .
        [ Antonio Terceiro ]
        * New upstream release (Closes: #708512)
        * Drop transitional packages libffi-ruby, libffi-ruby1.8 and
          libffi-ruby1.9.1
        * README.rdoc renamed to README.md
        * update debian/watch to point to gemwatch
        * debian/patches/disable-rake-compiler.patch: refreshed
        * pathes applied upstream and dropped:
          - debian/patches/0001-Add-types.conf-files-for-missing-Debian-architecture
          - debian/patches/0001-Fix-call-to-variadic-functions.patch
          - debian/patches/fix-test-on-sparc
        * debian/patches/ftbfs-gcc-4.7.diff: made obsolete by upstream change; not
          neeed anymore.
        * debian/rules: symlink i486-gnu to i386-gnu while the rename is not done
          upstream; see https://github.com/ffi/ffi/pull/269. This fixes a FTBFS on
          hurd-i386 (Closes: #679782)
      .
        [ Cédric Boutillier ]
        * debian/control: remove obsolete DM-Upload-Allowed flag
        * use canonical URI in Vcs-* fields
        * debian/copyright: use DEP5 copyright-format/1.0 official URL for Format
          field
      .
      ruby-ffi (1.0.11debian-5) unstable; urgency=low
      .
        * debian/patches/0001-Fix-call-to-variadic-functions.patch: fixes calls to
          variadic functions with floating point arguments, which currently only
          breaks on armhf (Closes: #656809), but would also break on other
          architectures with similar ABI for variadic functions.
      .
      ruby-ffi (1.0.11debian-4) unstable; urgency=low
      .
        * Bump standards version
        * Bump build dependency on gem2deb to >= 0.3.0~
        * debian/ruby-tests-rb: re-enable tests
        * debian/patches/disable-rake-compiler.patch: disable rake-compiler
          requirement in Rakefile, not needed.
        * debian/rules: generate gemspec with rake before dh_auto_install (added
          rake as build dependency)
      .
      ruby-ffi (1.0.11debian-3.1) unstable; urgency=low
      .
        * Non maintainer upload.
        * Remove unknown GCC command line option. Closes: #672050.
      .
      ruby-ffi (1.0.11debian-3) unstable; urgency=low
      .
        * debian/patches/fix-test-on-sparc: fixes crash while running test suite on
          sparc (Closes: #642266). Thanks to Jurij Smakov for the patch.
        * Ignore test results on ia64 for now. See #642267.
      .
      ruby-ffi (1.0.11debian-2) unstable; urgency=low
      .
        * debian/patches/0001-Add-types.conf-files-for-missing-Debian-architecture.patch:
          This patch adds types.conf files to 7 missing Debian architectures. This
          should make the package build fine in most architectures.
      .
      ruby-ffi (1.0.11debian-1) unstable; urgency=low
      .
        * New upstream release.
          + Should now build fine on ia64 (Closes: #642267).
          + Include fix platform detection that was pushed upstream (Closes: #643788)
        * debian/control: make transitional packages Priority: extra
      .
      ruby-ffi (1.0.9+git20110920debian-1) unstable; urgency=low
      .
        * Upstream git snapshot
          + Adds portability patches submit by us (Closes: #641775, #642161)
        * Removing all Debian-specific patches. Upstream source should be portable
          enough already.
      .
      ruby-ffi (1.0.9debian-2) unstable; urgency=low
      .
        [ Nobuhiro Iwamatsu ]
        * Remove non-portable -m{32,64} compilation flag
          (debian/patches/0002-Remove-non-portable-m-32-64-compilation-flag.patch)
          (Closes: #641775)
      .
      ruby-ffi (1.0.9debian-1) unstable; urgency=low
      .
        * New upstream release
          - Apparently will build on all architectures, so I am changing
            the Architecture: field to 'any'
        * Migrate to new Ruby packaging practices
          - rename package
          - use gem2deb
          - added transitional packages
      .
      libffi-ruby (0.6.3debian-2) unstable; urgency=low
      .
        * Team upload.
        * debian/post-install.rb: Fix problem with RUBY_VERSION on 1.9.2
          (Closes: #593038)
        * Bump Standards-Version to 3.9.1 (no changes).
      .
      libffi-ruby (0.6.3debian-1) unstable; urgency=low
      .
        * New upstream release
        * Set debian/control Architecture: amd64 i386 powerpc sparc
          until upstream supports more architectures (Closes: #575311)
      .
      libffi-ruby (0.6.2debian-5) unstable; urgency=low
      .
        * Fix ruby1.9.1 Build-Depends (Closes: #574532)
        * Fix libffi-ruby binary dependency to be libffi-ruby1.8
        * Add Dependency on ruby1.8 for libffi-ruby1.8
      .
      libffi-ruby (0.6.2debian-4) unstable; urgency=low
      .
        * Upstream confirmation of 1.9.1 support, so adding that back
      .
      libffi-ruby (0.6.2debian-3) unstable; urgency=low
      .
        * Fix ruby path in types.conf generation
      .
      libffi-ruby (0.6.2debian-2) unstable; urgency=low
      .
        * Generate missing types.conf during the package build
        * Seems to only support ruby 1.9 for now, so switch away from 1.9.1
      .
      libffi-ruby (0.6.2debian-1) unstable; urgency=low
      .
        * Repack upstream source to remove embedded libffi
        * Initial release (Closes: #572597)
      cec3c72c
    • Nong Hoang Tu's avatar
      New upstream version 1.15.4+dfsg · c57547f7
      Nong Hoang Tu authored
      c57547f7